Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
bing
/
locations
List of Bing Locations for SERP
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/bing/locations \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ],
  "tasks[].result[].location_code": 123,
  "tasks[].result[].location_name": "<string>",
  "tasks[].result[].location_code_parent": 123,
  "tasks[].result[].country_iso_code": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks_count
integer

The number of tasks in the tasks array

tasks_error
integer

The number of tasks in the tasks array returned with an error

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of available locations

tasks[].result[].location_code
integer

Location code

tasks[].result[].location_name
string

Location name

tasks[].result[].location_code_parent
integer

Parent location code

tasks[].result[].country_iso_code
string

Country ISO code